Create webhook subscription

While polling the GET /insights endpoint is possible, it is often preferable to have the insights response pushed to the customer as soon as they're ready.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Your Customer ID

 USER.CUSTOMER_ID

Your Workflows

USER.WORKFLOWS

It is important to note that when a subscription is created, it is by design, inactive. Activating a subscription is a separate endpoint - Update webhook subscription status. This helps maintain the constraint that only one subscription can be active per workflow.

Body Params
string
required

The uuid of the customer/company for which the subscription is being created

string
enum
required

The environment for which the subscription is being created

Allowed:
string
required

The URL to which the webhook will send requests

workflowIds
array of strings
required

The workflow IDs that this subscription will be associated with. Will be ignored if allWorkflows is set to true

workflowIds*
boolean
required

Whether the subscription should be applied to all workflows that belong to the customer. If set to true, the workflowIds field is ignored

boolean

Whether the subscription is for credit monitoring alerts. If set to true, the subscription is created against the customer's Credit Monitoring system workflow and the workflowIds field is ignored. Requires the creditMonitoring module to be enabled

string

The monitoring product this subscription is for ('daily' | 'monthly'). Set internally by the monitoring endpoint; only meaningful when isCreditMonitoring is true

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json